Skip to content

Get 'TaxationSubRecord'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired
GET
/objects/taxations/taxationsubrecord/{pk}/
curl -i -X GET \
  'https://dev.api.pigello.io/objects/taxations/taxationsubrecord/{pk}/' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful selection

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

taxation_recordobject(TaxationRecord)required
for_yearinteger, (int32), [ 1900 .. 9000 ]required
structure_operation_typeinteger, (int32), [ -2147483648 .. 2147483647 ]required

Additional Validation Information:

Enum Descriptions:

  • 0 - Electricity Outdoor Area

  • 1 - Electricity Heat Station

  • 2 - Electricity Water Station

  • 3 - Electricity Wind Low Taxation

  • 4 - Electricity Wind

  • 5 - Rentable Housing

  • 6 - Rentable Housing Outdoor Area

  • 7 - Rentable Industrial Premises

  • 8 - Rentable Industrial Premises Outdoor Area

  • 9 - Industry Outdoor Area

  • 10 - Industry Office

  • 11 - Industry Storage

  • 12 - Industry Production

  • 13 - Industry Construction

  • 14 - Industry Production Method Structure

  • 15 - Beat Office

  • 16 - Beat Storage

  • 17 - Beat Production

  • 18 - Beat Construction

  • 19 - Beat Outdoor Area

  • 20 - Agriculture Field

  • 21 - Agriculture Pasture

  • 22 - Agriculture Economic

  • 23 - Agriculture Forest

  • 24 - Agriculture Non Deforestation Restrictions

  • 25 - Agriculture Small Housing

  • 26 - Agriculture Small Housing Outdoor Area

  • 27 - Special Unit

  • 28 - Other

Enum:0123456789
valuenumber, (float)required
pre_adjusted_valuenumber, (float)required
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
buildingobject or null(Building)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: parking_lot, outdoor_area

This field, or at least one of the following fields must be set: parking_lot, outdoor_area

parking_lotobject or null(ParkingLot)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: building, outdoor_area

This field, or at least one of the following fields must be set: building, outdoor_area

outdoor_areaobject or null(OutdoorArea)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: building, parking_lot

This field, or at least one of the following fields must be set: building, parking_lot

consider_under_constructionboolean
value_yearinteger or null, (int32), [ 1900 .. 9000 ]
yearly_rentnumber or null, (float)
spaces_areanumber or null, (float)
taxation_unit_numberstring or null
value_adjustment_motivationstring or null
value_adjustment_codestring or null
taxation_typeanyread-only
tax_valueanyread-only
tagsanyread-only
customer_columnsanyread-only
pending_monitor_approval_amountanyread-only
Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "taxation_record": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "building": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "parking_lot": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "outdoor_area": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "for_year": 1900, "structure_operation_type": 0, "consider_under_construction": true, "value_year": 1900, "yearly_rent": 0.1, "spaces_area": 0.1, "taxation_unit_number": "string", "value": 0.1, "pre_adjusted_value": 0.1, "value_adjustment_motivation": "string", "value_adjustment_code": "string", "taxation_type": null, "tax_value": null, "tags": null, "customer_columns": null, "pending_monitor_approval_amount": null }